Bug 161947 - multimedia/libdvdnav builds broken binaries on big endian machines
Summary: multimedia/libdvdnav builds broken binaries on big endian machines
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ganael LAPLANCHE
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-23 23:40 UTC by richo
Modified: 2013-11-12 07:31 UTC (History)
0 users

See Also:


Attachments
file.diff (440 bytes, patch)
2011-10-23 23:40 UTC, richo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description richo 2011-10-23 23:40:01 UTC
> I tried to use vlc to play a dvd on -CURRENT but it fails with                                    
>                                                                                                   
> libdvdnav: vm: ifoRead_FP_PGC failed                                                              >                                                                                                   
> Googling, I found a patch from debian bugtracker at                                               
>                                                                                                   
> http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=25;filename=05-endian.patch;att=1;bug=531621     
>                                                                                                   
> Which I adjusted for FreeBSD (changed patch to source file and path to                            
> include file)                                                                                     
>                                                                                                   
> Can this be included in ports?

Fix: Attached patch will reverse the word byte order if the machine is bigendian.

Patch attached with submission follows:
Comment 1 Justin Hibbits freebsd_committer 2013-11-06 17:49:23 UTC
Responsible Changed
From-To: freebsd-ppc->freebsd-ports

This is a ports bug, handing it over.
Comment 2 Ganael LAPLANCHE freebsd_committer 2013-11-07 08:13:13 UTC
Responsible Changed
From-To: freebsd-ports->martymac

I will take care of it.
Comment 3 Ganael LAPLANCHE freebsd_committer 2013-11-12 07:24:46 UTC
State Changed
From-To: open->closed

Endianness problems have already been addressed in r289371.